Subject: bug#53778: 29.0.50; Can't start Emacs because of RenderBadPicture X protocol error

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Feb 2022 16:52:29 +0200

> From: Mauro Aranda <[email-masked]>
> Date: Fri, 4 Feb 2022 11:38:46 -0300
> 
> After commit b944841173... I can't start GUI Emacs.
> 
> I did:
> ./configure && make
> 
> And when I start Emacs with "emacs -Q" I get:
> X protocol error: RenderBadPicture (invalid Picture parameter) on protocol request 138
> When compiled with GTK, Emacs cannot recover from X disconnects.
> This is a GTK bug: https://gitlab.gnome.org/GNOME/gtk/issues/221
> For details, see etc/PROBLEMS.
> Backtrace:
> ./src/emacs(emacs_backtrace+0x41)[0x81bc731]
> ./src/emacs(terminate_due_to_signal+0x7f)[0x809958c]
> ./src/emacs[0x8099abd]
> ./src/emacs[0x8098b20]

We need you to start Emacs under GDB, passing Emacs the command-line
option '-xrm "emacs.synchronous: true"', and then show the backtrace
inside GDB.  That should produce a much more useful backtrace than the
one you posted.

Why are you unable to run GDB?